List personal access tokens
curl --request GET \
--url https://api.cnap.tech/v1/user/tokens \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cnap.tech/v1/user/tokens"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cnap.tech/v1/user/tokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "j572abc123def456",
"name": "My CLI token",
"prefix": "cnap_pat_a3b2",
"created_at": 1708000000,
"last_used_at": 123,
"expires_at": 123
}
],
"pagination": {
"cursor": "<string>",
"has_more": true
}
}{
"error": {
"code": "not_found",
"message": "Resource not found",
"param": "name",
"suggestion": "Run `cnap clusters list` to see available clusters",
"details": "<unknown>"
}
}Auth
List personal access tokens
Returns metadata for all tokens. Full token values are never shown after creation.
GET
/
v1
/
user
/
tokens
List personal access tokens
Authorizations
Personal Access Token (cnap_pat_...) or OAuth2 JWT. Create tokens at https://cnap.tech/account/tokens
Query Parameters
Pagination cursor from previous response
Items per page (1-100)
Required range:
1 <= x <= 100Example:
50
⌘I